Slony-I 2.1.1 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.49. deny_truncate()

Function Properties

Language: PLPGSQL

Return Type: trigger

trigger function run when a replicated table receives a TRUNCATE request

    	begin
    		raise exception 'truncation of replicated table forbidden on subscriber node';
        end

Prev | Home | Next
decode_tgargs(bytea) | Up | denyaccess()